Package: groovy.org.codenarc.rule.formatting

## [Groovy] Class SpaceAfterOpeningBraceRule

- groovy.org.codenarc.rule.formatting.SpaceAfterOpeningBraceRule

- Check that there is at least one space (blank) or whitespace after each opening brace ("{"). This checks method/class/interface declarations, closure expressions and block statements.

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `boolean` | `checkClosureMapEntryValue`
    `boolean` | `ignoreEmptyBlock`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### boolean checkClosureMapEntryValue

    - #### boolean ignoreEmptyBlock

    - #### String name

    - #### int priority